Skip to main content
GET
/
v1
/
shipping
/
retailers
/
{id}
/
routing-guides
/
{guide_id}
Get one Retailer Routing Guide
curl --request GET \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides/{guide_id} \
  --header 'Authorization: Bearer <token>'
{
  "resource": {
    "type": "RetailerRoutingGuide",
    "id": 12,
    "title": "Walmart Routing Guide 2026",
    "description": "Includes carton-label spec and ASN windows.",
    "file_name": "walmart-routing-guide-2026.pdf",
    "file_type": "pdf",
    "file_size": 524288,
    "uploaded_at": "2026-05-26T12:34:56Z",
    "retailer": {
      "type": "Retailer",
      "id": 2
    },
    "uploaded_by": {
      "type": "Requester",
      "id": 3
    },
    "created_at": "2026-05-26T12:34:56Z",
    "updated_at": "2026-05-26T12:34:56Z"
  }
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1
guide_id
integer<int32>
required

The id of the referenced RetailerRoutingGuide.

Required range: x >= 1

Query Parameters

fields
enum<string>[]

Specify additional fields of the RetailerRoutingGuide object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
title,
description,
file_name,
file_type,
file_size,
uploaded_by,
uploaded_at,
retailer,
created_at,
updated_at
fields:retailer
enum<string>[]

Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
fulfillment_model,
merchant,
parent_retailer,
legal_name,
dba,
default_duties_payor,
default_shipping_method,
allowed_shipping_methods,
default_tpb_group_id,
routing_guide_notes,
custom_fields,
created_at,
updated_at
fields:uploaded_by
enum<string>[]

Specify additional fields of the Requester object (the entity that uploaded the routing guide) to be included in the response. See the selecting fields page for more information.

Available options:
all

Response

OK

resource
RetailerRoutingGuide · object

A RetailerRoutingGuide represents a routing-guide document (PDF / DOC / XLS / CSV / TXT) uploaded against a Retailer.